Skip to main content
Versions

Get a skill version

Retrieve a single skill version by its version identifier.

GET /api/v1/cloud/skills/{skill_id}/versions/{version} Retrieves the details of a single skill version by its version identifier.

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT or SAT>

Path parameters

ParameterTypeRequiredDescription
skill_idstringYesSkill unique identifier
versionstringYesVersion number; numeric timestamps only

Example request

curl -X GET "https://api.qoder.com/api/v1/cloud/skills/skill_019e3bba474b73cfaf19eae9b5f5e66d/versions/1759178010641129" \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

HTTP 200 OK
{
  "id": "skillver_019e3bba474b7f10a3c2b4d5e6f70123",
  "type": "skill_version",
  "skill_id": "skill_019e3bba474b73cfaf19eae9b5f5e66d",
  "version": "1759178010641129",
  "name": "my-custom-skill",
  "description": "Custom skill example",
  "directory": "my-custom-skill",
  "created_at": "2026-05-18T15:35:24.248164Z"
}

Response fields

The response is a Skill version object.
FieldTypeDescription
idstringVersion unique identifier
typestringAlways "skill_version"
skill_idstringOwning Skill ID
versionstringVersion identifier
namestringname from this version's SKILL.md frontmatter
descriptionstringdescription from this version's SKILL.md frontmatter
directorystringSkill directory name
created_atstringVersion creation time

Errors

HTTPTypeTrigger
400invalid_request_errorNon-numeric version (including latest)
401TOKEN_INVALIDMissing or invalid authentication token
404not_found_errorSkill does not exist, or the version does not exist / has been deleted
See Errors for the full error envelope.